import pytest
from testcontainers.core.container import DockerContainer
from testcontainers.core.waiting_utils import wait_for_logs


@pytest.fixture(scope="class")
def fuseki():
    image = "registry.git.rwth-aachen.de/dalia/backend/fuseki:dev"
    with DockerContainer(image).with_exposed_ports(3030) as fuseki:
        wait_for_logs(fuseki, "INFO  Server          :: Start")
        yield fuseki


@pytest.fixture(scope="class")
def fuseki_url(fuseki):
    return f"http://{fuseki.get_container_host_ip()}:{fuseki.get_exposed_port(3030)}"
